* test program for OC5.
* Written by Jason Buttron (1/28/98)

PORTB		equ	$1004

TOC1_HIGH	equ	$16
TOC1_LOW	equ	$17
TOC2_HIGH	equ	$18
TOC2_LOW	equ	$19
TOC3_HIGH	equ	$1A
TOC3_LOW	equ	$1B
TOC4_HIGH	equ	$1C
TOC4_LOW	equ	$1D
TOC5_HIGH	equ	$1E
TOC5_LOW	equ	$1F

TMSK1		equ	$22
TFLG1		equ	$23
TCTL1		equ	$20

OC1_PSV		equ	$DF
OC2_PSV		equ	$DC
OC3_PSV		equ	$D9
OC4_PSV		equ	$D6
OC5_PSV		equ	$D3

OC1_IV		equ	$FFE8
OC2_IV		equ	$FFE6
OC3_IV		equ	$FFE4
OC4_IV		equ	$FFE2
OC5_IV		equ	$FFE0


		ORG 	$C000
		LDS  	#$1FF		; Load stack pointer
		LDAA	#$7E		;jmp
		STAA	OC5_PSV		;oc5 pseudovector	
		LDD	#OC_ISR
		STD	OC5_PSV+1	;Store location of ISR
		STD	OC5_IV		;Store Vector

		LDAB	#$00
		STAB	PORTB
		LDX	#$1000
		BCLR	TCTL1,x	%00000011	;setup mode
		BSET	TCTL1,x	%00000001	;setup toggle
		BSET	TMSK1,x	%00001000	;set up interrupt mask
		BSET	TFLG1,x %00001000	;set up flag
		CLI

LOOP:		BRA	LOOP


OC_ISR:	INC	PORTB		;Port B
		BSET	TFLG1,x %00001000
		CLI
		RTI
