#if !defined(AFX_PINGRAPH_H__B503F112_98D2_11D1_BF17_0000C03B66E5__INCLUDED_)
#define AFX_PINGRAPH_H__B503F112_98D2_11D1_BF17_0000C03B66E5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// PinGraph.h : header file
//

#include "../emu/hc11.h"
#include "../emu/hc11io.h"

//////////////////////////////////////////////////////////////////////////////
//
// Class Name: CPinGraph
//
// Author: Kalle Anderson
//
// Purpose: This can be used to view a waveform on a pin from a port. This
//          was thrown together real quick, so its still kinda experimental.
//          Needs improvement.          
//
/////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////////////
// CPinGraph dialog

class CPinGraph : public CDialog, public PinConnection
{
// Construction
    HC11 *hc11;
    PortRegister * m_port;
    int m_pin;
    
    double pos,tick;
    int previous_slider_pos;
    bit_t previous_level;
    long previous_clock;
    bool attached;
    double scale;    
    
    int high_time;    
    int period;
    int period_start;

    bool visible;
    
public:
	CPinGraph(HC11 *phc11, CWnd* pParent = NULL);   // standard constructor
    void Set(bit_t value);
    bool Visible(void){return visible;};
    void Visible(bool v);

// Dialog Data
	//{{AFX_DATA(CPinGraph)
	enum { IDD = IDD_GRAPHDLG };
	CEdit	m_pinname;
	CEdit	m_freq;
	CButton	m_attach;
	CEdit	m_period;
	CEdit	m_duty;
	CEdit	m_mscalestrc;
	CSliderCtrl	m_scale;
	CStatic	m_graph;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPinGraph)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPinGraph)
	afx_msg void OnButton1();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PINGRAPH_H__B503F112_98D2_11D1_BF17_0000C03B66E5__INCLUDED_)
