porta   equ     $1000

pioc    equ     $1002

portc   equ     $1003

portb   equ     $1004

portcl  equ     $1005

ddrc    equ     $1007

portd   equ     $1008

ddrd    equ     $1009

porte   equ     $100a

hprio   equ     $103c

option  equ     $1039

adctl   equ     $1030

adr1    equ     $1031

adr2    equ     $1032

adr3    equ     $1033

adr4    equ     $1034



ledon   equ     $FE



;

;Bouncing LEDs

;

;Written by Steven L. Barnicki, Ph.D.

;       3/16/95, v1.0

;

	org $D100



	lds #$1ff       ;set up stack

start   ldaa #ledon     ;one LED on

	sec             ;set carry for off

loop    staa portb      ;out to LEDs

	rola

	bcc right       ;on fell off left

	bsr wait        ;waste time

	bra loop        ;go back



right   rora            ;LED on back in play

	rora

	bsr wait        ;waste time

loopr   staa portb      ;out to LEDs

	rora

	bcc left        ;on fell off right

	bsr wait        ;waste time

	bra loopr

left    rola            ;LED on back in play

	rola

	bsr wait

	bra loop



wait    psha

	tpa

	psha

	pshx

;        ldx #2       

	ldx #500       ;wait 1/2 second

l2      jsr w1ms

	dex

	bne l2

	pulx

	pula

	tap

	pula

	rts



w1ms    psha    ;1 ms wait

	tpa

	psha

	pshx

;        ldx #2

	ldx #200

l1      dex

	nop

	nop

	bne l1

	pulx

	pula

	tap

	pula

	rts







	rts



