#include "hc11.h"
#include "hc11sim.h"

extern void LoadS19File(char *fname, HC11 *hc11);

int main(void)
{
    HC11Sim sim;
    
    sim.Config(BriefCase);
    sim.SetStartAddress(0xC000);
    sim.LoadS19File("os.s19");	
    sim.hc11.Reset();    
   
    PortConnection pca;
    PortConnection pcb;
    PortConnection pcc;
//    PortConnection pcd;
//    PortConnection pce;

    sim.hc11.regfile.PORTA.Attach(&pca);
    sim.hc11.regfile.PORTB.Attach(&pcb);
    sim.hc11.regfile.PORTC.Attach(&pcc);
//    sim.hc11.regfile.PORTD.Attach(&pcd);
//    sim.hc11.regfile.PORTE.Attach(&pce);


    for(;;)
    {
 //       if(!counter)
 //     hc11.regfile.PORTA.PinInput(7,(byte_t)(a=!
//				sim.hc11.ACCA = 1;
//				sim.hc11.CCR.I(0);
//				sim.hc11.IRQLevel(0);
        sim.hc11.Step();
				

/*printf ("ACCA holds %d %d %d %d %d %d %d %d\n",
					hc11.IX.bit0(),
					hc11.IX.bit1(),
					hc11.IX.bit2(),
					hc11.IX.bit3(),
					hc11.IX.bit4(),
					hc11.IX.bit5(),
					hc11.IX.bit6(),
					hc11.IX.bit7());
	*/				

        //printf("%X ", (int)sim.hc11.PC);
    }
    
    return 0;
}
