#if !defined(AFX_CODEVIEWERDLG_H__B15D0580_B4A6_11D2_AC60_004033510A08__INCLUDED_)
#define AFX_CODEVIEWERDLG_H__B15D0580_B4A6_11D2_AC60_004033510A08__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CodeViewerDlg.h : header file

#pragma warning(disable: 4786)

#include "../emu/hc11.h"
#include <map>
/////////////////////////////////////////////////////////////////////////////
// CCodeViewerDlg dialog

class CCodeViewerDlg : public CDialog
{
// Construction
public:
	CCodeViewerDlg(HC11 *hc11, CWnd* pParent = NULL);   // standard constructor

    void Visible(bool);    
    bool Visible(void){return visible;};    	
	void Update(void);
	void AddLine(const char *txt, int address = -1);
	void Clear(void);
	bool SelectLine(int address);	
	void LoadFile(void);

// Dialog Data
	//{{AFX_DATA(CCodeViewerDlg)
	enum { IDD = IDD_CODEVIEW };
	CButton	m_loadb;
	CButton	m_clearb;
	CButton	m_okb;
	CListCtrl	m_listctrl;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCodeViewerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HC11 *hc11;
	bool visible;
	CFont TheFont;	// added SLB, 4/10/99

	std::map<int, int> address_map;
	void LoadLstFile(LPCTSTR filename);

	// Generated message map functions
	//{{AFX_MSG(CCodeViewerDlg)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnLoadLst();
	afx_msg void OnClear();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CODEVIEWERDLG_H__B15D0580_B4A6_11D2_AC60_004033510A08__INCLUDED_)
